My Project: dgThread Class Reference

My Project

Classes | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
dgThread Class Referenceabstract

`#include <dgThread.h>`

Inheritance diagram for dgThread:

## Classes

class | dgCriticalSection
class | dgSemaphore

## Public Member Functions

| dgThread ()
| dgThread (const char *const name, dgInt32 id)
virtual | ~dgThread ()
virtual void | Execute (dgInt32 threadId)=0
bool | StillBusy () const
void | SuspendExecution (dgSemaphore &mutex)
void | SuspendExecution (dgInt32 count, dgSemaphore *const mutexes)
dgInt32 | GetPriority () const
void | SetPriority (int priority)

## Protected Member Functions

void | Init ()
void | Init (const char *const name, dgInt32 id)
void | Close ()

## Static Protected Member Functions

static void * | dgThreadSystemCallback (void *threadData)

## Protected Attributes

pthread_t | m_handle
dgInt32 | m_id
dgInt32 | m_terminate
dgInt32 | m_threadRunning
char | m_name [32]

## Constructor & Destructor Documentation

## § dgThread() [1/2]

dgThread::dgThread | ( |  | ) |

## § dgThread() [2/2]

dgThread::dgThread | ( | const char *const | name,
|  | dgInt32 | id
| ) |  |

## § ~dgThread()

dgThread::~dgThread | ( |  | ) |

virtual

## Member Function Documentation

## § Close()

void dgThread::Close | ( |  | ) |

protected

## § dgThreadSystemCallback()

void * dgThread::dgThreadSystemCallback | ( | void * | threadData | ) |

staticprotected

## § Execute()

virtual void dgThread::Execute | ( | dgInt32 | threadId | ) |

pure virtual

Implemented in dgThreadHive::dgThreadBee, dgMutexThread, and dgAsyncThread.

## § GetPriority()

dgInt32 dgThread::GetPriority | ( |  | ) | const

## § Init() [1/2]

void dgThread::Init | ( |  | ) |

protected

## § Init() [2/2]

void dgThread::Init | ( | const char *const | name,
|  | dgInt32 | id
| ) |  |

protected

## § SetPriority()

void dgThread::SetPriority | ( | int | priority | ) |

## § StillBusy()

bool dgThread::StillBusy | ( |  | ) | const

## § SuspendExecution() [1/2]

void dgThread::SuspendExecution | ( | dgSemaphore & | mutex | ) |

## § SuspendExecution() [2/2]

void dgThread::SuspendExecution | ( | dgInt32 | count,
|  | dgSemaphore *const | mutexes
| ) |  |

## Member Data Documentation

## § m_handle

pthread_t dgThread::m_handle

protected

## § m_id

dgInt32 dgThread::m_id

protected

## § m_name

char dgThread::m_name[32]

protected

## § m_terminate

dgInt32 dgThread::m_terminate

protected

## § m_threadRunning

dgInt32 dgThread::m_threadRunning

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgThread.h
- dynamics.mod/NewtonDynamics/source/core/dgThread.cpp